Page MenuHomePhabricator

FundraiserLandingPage: Parse EL sample rate URL param as number
Closed, ResolvedPublic1 Estimate Story Points

Description

This is the same issue we had with the impresion EventLogging feature in CentralNotice: we need to parse the URL parameter as a number, otherwise it is sent as a string in the EventLogging event, which does not conform to the event schema.

Details

Related Gerrit Patches:
mediawiki/extensions/FundraiserLandingPage : masterParse EL sample rate URL param as number

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2018, 7:38 PM

Change 436095 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/FundraiserLandingPage@master] Parse EL sample rate URL param as number

https://gerrit.wikimedia.org/r/436095

Change 436095 merged by jenkins-bot:
[mediawiki/extensions/FundraiserLandingPage@master] Parse EL sample rate URL param as number

https://gerrit.wikimedia.org/r/436095

Vvjjkkii renamed this task from FundraiserLandingPage: Parse EL sample rate URL param as number to f1baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii removed AndyRussG as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
jgleeson renamed this task from f1baaaaaaa to FundraiserLandingPage: Parse EL sample rate URL param as number.Jul 2 2018, 1:02 PM
jgleeson assigned this task to AndyRussG.
jgleeson raised the priority of this task from High to Needs Triage.
jgleeson updated the task description. (Show Details)
jgleeson set the point value for this task to 1.
jgleeson edited subscribers, added: Aklapper; removed: AndyRussG.
AndyRussG closed this task as Resolved.Jul 12 2018, 1:31 PM